sfeed_mbox tests: enable content - sfeed_tests - sfeed tests and RSS and Atom files
HTML git clone git://git.codemadness.org/sfeed_tests
DIR Log
DIR Files
DIR Refs
DIR README
DIR LICENSE
---
DIR commit a5d8958abb07ab5de0b0aad879a28a8eb50dee0b
DIR parent 334f398d5b4a8bef171eff5f5ed4af76d66c78c0
HTML Author: Hiltjo Posthuma <hiltjo@codemadness.org>
Date: Thu, 25 Dec 2025 14:33:35 +0100
sfeed_mbox tests: enable content
Diffstat:
M input/sfeed_mbox/fdm/run.sh | 4 +++-
D input/sfeed_mbox/procmail/procmail… | 23 -----------------------
A input/sfeed_mbox/procmail/run.sh | 26 ++++++++++++++++++++++++++
3 files changed, 29 insertions(+), 24 deletions(-)
---
DIR diff --git a/input/sfeed_mbox/fdm/run.sh b/input/sfeed_mbox/fdm/run.sh
@@ -1,5 +1,7 @@
#!/bin/sh
-sfeed_mbox ~/.sfeed/feeds/* > mbox
+bin="sfeed_mbox"
+
+SFEED_MBOX_CONTENT=1 $bin ~/.sfeed/feeds/* > mbox
fdm -v -f fdm.conf fetch
# cleanup
DIR diff --git a/input/sfeed_mbox/procmail/procmail_maildirs.sh b/input/sfeed_mbox/procmail/procmail_maildirs.sh
@@ -1,23 +0,0 @@
-#!/bin/sh
-
-maildir="$(pwd)/maildir"
-feedsdir="$HOME/.sfeed/feeds"
-procmailconfig="$(pwd)/procmailrc"
-
-# message-id cache to prevent duplicates.
-mkdir -p "${maildir}/.cache"
-
-if ! test -r "${procmailconfig}"; then
- printf "Procmail configuration file \"%s\" does not exist or is not readable.\n" "${procmailconfig}" >&2
- echo "See procmailrc.example for an example." >&2
- exit 1
-fi
-
-find "${feedsdir}" -type f -exec printf '%s\n' {} \; | while read -r d; do
- name=$(basename "${d}")
- mkdir -p "${maildir}/${name}/cur"
- mkdir -p "${maildir}/${name}/new"
- mkdir -p "${maildir}/${name}/tmp"
- printf 'Mailbox %s\n' "${name}"
- sfeed_mbox "${d}" | formail -s procmail "${procmailconfig}"
-done
DIR diff --git a/input/sfeed_mbox/procmail/run.sh b/input/sfeed_mbox/procmail/run.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+bin="sfeed_mbox"
+
+maildir="$(pwd)/maildir"
+feedsdir="$HOME/.sfeed/feeds"
+feedsdir="$HOME/.sfeed/thisweek"
+procmailconfig="$(pwd)/procmailrc"
+
+# message-id cache to prevent duplicates.
+mkdir -p "${maildir}/.cache"
+
+if ! test -r "${procmailconfig}"; then
+ printf "Procmail configuration file \"%s\" does not exist or is not readable.\n" "${procmailconfig}" >&2
+ echo "See procmailrc.example for an example." >&2
+ exit 1
+fi
+
+find "${feedsdir}" -type f -exec printf '%s\n' {} \; | while read -r d; do
+ name=$(basename "${d}")
+ mkdir -p "${maildir}/${name}/cur"
+ mkdir -p "${maildir}/${name}/new"
+ mkdir -p "${maildir}/${name}/tmp"
+ printf 'Mailbox %s\n' "${name}"
+ SFEED_MBOX_CONTENT=1 $bin "${d}" | formail -s procmail "${procmailconfig}"
+done